Bug 502662 - SCIM-tomoe doesn't load - no error msgs
SCIM-tomoe doesn't load - no error msgs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: scim-tomoe (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Ding-Yi Chen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 15:33 EDT by DemetrisK
Modified: 2009-06-30 17:42 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.6.0-14.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 17:24:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description DemetrisK 2009-05-26 15:33:02 EDT
User-Agent:       Opera/9.63 (X11; Linux i686; U; en) Presto/2.1.1

I have a working installation of SCIM for Japanese input. Minutes ago I decided to install tomoe to help me input some kanji. Unfortunetly, after the installation I can't load the recognision dialog. The icon in scim toolbar does nothing. I had no problems with scim-tomoe when I was using Fedora 10

Reproducible: Always
Comment 1 DemetrisK 2009-05-28 10:41:29 EDT
SEGFAULT if I try to load tomoe from terminal

$ scim-tomoe
/usr/bin/scim-tomoe: line 33: 30724 \u03a3\u03c6\u03ac\u03bb\u03bc\u03b1 \u03ba\u03b1\u03c4\u03ac\u03c4\u03bc\u03b7\u03c3\u03b7\u03c2 (segmentation fault)                              /usr/lib/scim-1.0/scim-helper-launcher tomoe b1bfe2b4-6930-41b0-8c07-d05bce8c92e2 $*
Comment 2 Ding-Yi Chen 2009-06-02 01:53:10 EDT
Thanks for informing us this bug.

It is actually the tomoe bug, which has been fixed 
tomoe-0.6.0-14.

Would you mind downloading the revised version from:
http://koji.fedoraproject.org/koji/packageinfo?packageID=3999
and test for me? Thanks.
Comment 3 Fedora Update System 2009-06-02 02:49:34 EDT
tomoe-0.6.0-14.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/tomoe-0.6.0-14.fc10
Comment 4 Fedora Update System 2009-06-02 02:49:41 EDT
tomoe-0.6.0-14.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tomoe-0.6.0-14.fc9
Comment 5 Fedora Update System 2009-06-02 02:49:45 EDT
tomoe-0.6.0-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tomoe-0.6.0-14.fc11
Comment 6 DemetrisK 2009-06-02 04:38:26 EDT
Yep, it works now. 
There is still one bug but I don't know if it worths a new bug report. 
Tomoe won't recognise any kanji if I don't rename handwriting_ja.xml to handwriting.xml.
Comment 7 Ding-Yi Chen 2009-06-03 00:55:46 EDT
It is actually a feature, so you can use locale to determine whether you want Chinese or Japanese, specifically, zh_CN outputs Chinese, and ja_JP outputs Japanese. 

You do not use either locale, am I right? :-)
I suggest this issue should be fixed in upstream, so please contact them by mailing list
or go to their bug tracker:
http://sourceforge.net/tracker/?atid=944217&group_id=193138&func=browse

Thanks!
Comment 8 DemetrisK 2009-06-03 05:10:43 EDT
I never thought it that way.
You are right, I'm using el_GR as my locale (I'm not Asian, but I'm learning Japanese, so I need tomoe). Should I run the programs I want to input Japanese in with LC=ja_JP or is the same thing?

I'll fill a report at their bug tracker soon.

This bug is CLOSED now, right?
Comment 9 Ding-Yi Chen 2009-06-03 20:54:26 EDT
As long as you are using utf8 and the programs support utf8, you don't really need to set the japanese locale.

The bug will be automatically closed when the revised tomoe in stable.

Regards,
Comment 10 Fedora Update System 2009-06-04 17:10:16 EDT
tomoe-0.6.0-14.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update tomoe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5833
Comment 11 Fedora Update System 2009-06-04 17:14:21 EDT
tomoe-0.6.0-14.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tomoe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5858
Comment 12 Fedora Update System 2009-06-04 17:23:26 EDT
tomoe-0.6.0-14.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tomoe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5955
Comment 13 Ding-Yi Chen 2009-06-05 03:06:02 EDT
I've submitted the patch for this bug to tomoe-upstream.

https://sourceforge.net/tracker/?func=detail&aid=2801559&group_id=193138&atid=944219

Regards,
Comment 14 Bug Zapper 2009-06-09 12:36:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Fedora Update System 2009-06-30 17:24:20 EDT
tomoe-0.6.0-14.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-06-30 17:37:31 EDT
tomoe-0.6.0-14.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-06-30 17:42:12 EDT
tomoe-0.6.0-14.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.